diff --git a/DataFormats/TrackSoA/interface/TracksDevice.h b/DataFormats/TrackSoA/interface/TracksDevice.h
index a2fd188f4dc0..777e386589b3 100644
--- a/DataFormats/TrackSoA/interface/TracksDevice.h
+++ b/DataFormats/TrackSoA/interface/TracksDevice.h
@@ -15,5 +15,4 @@ namespace reco {
   using TracksDevice = PortableDeviceMultiCollection<TDev, TrackSoA, TrackHitSoA>;
 }
 
-
 #endif  // DataFormats_Track_TracksDevice_H
diff --git a/DataFormats/TrackSoA/test/TestReadHostTrackSoA.cc b/DataFormats/TrackSoA/test/TestReadHostTrackSoA.cc
index 1b68f64fd8bd..f18c5d700a78 100644
--- a/DataFormats/TrackSoA/test/TestReadHostTrackSoA.cc
+++ b/DataFormats/TrackSoA/test/TestReadHostTrackSoA.cc
@@ -25,7 +25,6 @@ namespace edmtest {
     using TracksOnHost = ::reco::TracksHost;
 
   private:
-
     edm::EDGetTokenT<TracksOnHost> getToken_;
   };
 
@@ -34,17 +33,15 @@ namespace edmtest {
 
   void TestReadHostTrackSoA::analyze(edm::StreamID, edm::Event const& iEvent, edm::EventSetup const&) const {
     auto const& tracks = iEvent.get(getToken_);
-    auto tracksView = tracks.view(); 
+    auto tracksView = tracks.view();
 
     for (int i = 0; i < tracksView.metadata().size(); ++i) {
-      if(tracksView[i].eta() != float(i))
-      {
+      if (tracksView[i].eta() != float(i)) {
         throw cms::Exception("TestReadHostTrackSoA Failure") << "TestReadHostTrackSoA::analyze, entry. i = " << i;
       }
     }
   }
 
-
   void TestReadHostTrackSoA::fillDescriptions(edm::ConfigurationDescriptions& descriptions) {
     edm::ParameterSetDescription desc;
     desc.add<edm::InputTag>("input");
diff --git a/DataFormats/TrackSoA/test/TestWriteHostTrackSoA.cc b/DataFormats/TrackSoA/test/TestWriteHostTrackSoA.cc
index 3745eb67ebbf..d486f9251bf7 100644
--- a/DataFormats/TrackSoA/test/TestWriteHostTrackSoA.cc
+++ b/DataFormats/TrackSoA/test/TestWriteHostTrackSoA.cc
@@ -33,9 +33,8 @@ namespace edmtest {
       : trackSize_(iPSet.getParameter<unsigned int>("trackSize")), putToken_(produces()) {}
 
   void TestWriteHostTrackSoA::produce(edm::StreamID, edm::Event& iEvent, edm::EventSetup const&) const {
-
     TracksOnHost tracks({{int(trackSize_), int(4 * trackSize_)}}, cms::alpakatools::host());
-    auto tracksView = tracks.view(); 
+    auto tracksView = tracks.view();
     for (unsigned int i = 0; i < trackSize_; ++i) {
       tracksView[i].eta() = float(i);
     }
diff --git a/DataFormats/TrackSoA/test/alpaka/TrackSoAHeterogeneous_test.dev.cc b/DataFormats/TrackSoA/test/alpaka/TrackSoAHeterogeneous_test.dev.cc
index 34e1184f1dee..62ff97419e2f 100644
--- a/DataFormats/TrackSoA/test/alpaka/TrackSoAHeterogeneous_test.dev.cc
+++ b/DataFormats/TrackSoA/test/alpaka/TrackSoAHeterogeneous_test.dev.cc
@@ -23,7 +23,6 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
     class TestFillKernel {
     public:
       ALPAKA_FN_ACC void operator()(Acc1D const& acc, TrackSoAView tracks_view, int32_t nTracks) const {
-
         if (cms::alpakatools::once_per_grid(acc)) {
           tracks_view.nTracks() = nTracks;
         }
@@ -43,9 +42,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
     // that it was written correctly from the fill kernel
     class TestVerifyKernel {
     public:
-
       ALPAKA_FN_ACC void operator()(Acc1D const& acc, TrackSoAConstView tracks_view, int32_t nTracks) const {
-
         if (cms::alpakatools::once_per_grid(acc)) {
           ALPAKA_ASSERT(tracks_view.nTracks() == nTracks);
         }
diff --git a/DataFormats/TrackingRecHitSoA/test/TestReadHostHitSoA.cc b/DataFormats/TrackingRecHitSoA/test/TestReadHostHitSoA.cc
index 66b5f215cc34..99e861f9fba8 100644
--- a/DataFormats/TrackingRecHitSoA/test/TestReadHostHitSoA.cc
+++ b/DataFormats/TrackingRecHitSoA/test/TestReadHostHitSoA.cc
@@ -27,7 +27,6 @@ namespace edmtest {
     using HitsOnHost = ::reco::TrackingRecHitHost;
 
   private:
-
     edm::EDGetTokenT<HitsOnHost> getToken_;
   };
 
@@ -36,17 +35,15 @@ namespace edmtest {
 
   void TestReadHostHitSoA::analyze(edm::StreamID, edm::Event const& iEvent, edm::EventSetup const&) const {
     auto const& hits = iEvent.get(getToken_);
-    auto hitsView = hits.view(); 
+    auto hitsView = hits.view();
 
     for (int i = 0; i < hitsView.metadata().size(); ++i) {
-      if(hitsView[i].xGlobal() != float(i))
-      {
+      if (hitsView[i].xGlobal() != float(i)) {
         throw cms::Exception("TestWriteHostHitSoA Failure") << "TestReadHostHitSoA::analyze, entry. i = " << i;
       }
     }
   }
 
-
   void TestReadHostHitSoA::fillDescriptions(edm::ConfigurationDescriptions& descriptions) {
     edm::ParameterSetDescription desc;
     desc.add<edm::InputTag>("input");
diff --git a/DataFormats/TrackingRecHitSoA/test/TestWriteHostHitSoA.cc b/DataFormats/TrackingRecHitSoA/test/TestWriteHostHitSoA.cc
index 30e5f9a2ccee..599594b05654 100644
--- a/DataFormats/TrackingRecHitSoA/test/TestWriteHostHitSoA.cc
+++ b/DataFormats/TrackingRecHitSoA/test/TestWriteHostHitSoA.cc
@@ -33,11 +33,10 @@ namespace edmtest {
       : hitSize_(iPSet.getParameter<unsigned int>("hitSize")), putToken_(produces()) {}
 
   void TestWriteHostHitSoA::produce(edm::StreamID, edm::Event& iEvent, edm::EventSetup const&) const {
-
     HitsOnHost hits(cms::alpakatools::host(), hitSize_, 100);
-    auto hitsView = hits.view(); 
+    auto hitsView = hits.view();
     for (unsigned int i = 0; i < hitSize_; ++i) {
-        hitsView[i].xGlobal() = float(i);
+      hitsView[i].xGlobal() = float(i);
     }
     iEvent.emplace(putToken_, std::move(hits));
   }
diff --git a/DataFormats/TrackingRecHitSoA/test/alpaka/Hits_test.dev.cc b/DataFormats/TrackingRecHitSoA/test/alpaka/Hits_test.dev.cc
index 785cafa876c2..6a37fa05954c 100644
--- a/DataFormats/TrackingRecHitSoA/test/alpaka/Hits_test.dev.cc
+++ b/DataFormats/TrackingRecHitSoA/test/alpaka/Hits_test.dev.cc
@@ -19,11 +19,9 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
   namespace testTrackingRecHitSoA {
 
     struct TestFillKernel {
-
       ALPAKA_FN_ACC void operator()(Acc1D const& acc,
                                     ::reco::TrackingRecHitView soa,
                                     ::reco::HitModuleSoAView mods) const {
-
         const uint32_t i(alpaka::getIdx<alpaka::Grid, alpaka::Blocks>(acc)[0u]);
         const uint32_t j(alpaka::getIdx<alpaka::Block, alpaka::Threads>(acc)[0u]);
 
diff --git a/Geometry/CommonTopologies/interface/SimplePixelTopology.h b/Geometry/CommonTopologies/interface/SimplePixelTopology.h
index 2586d8d19874..c6a0fd219fb0 100644
--- a/Geometry/CommonTopologies/interface/SimplePixelTopology.h
+++ b/Geometry/CommonTopologies/interface/SimplePixelTopology.h
@@ -11,7 +11,7 @@ namespace pixelTopology {
   constexpr auto maxNumberOfLadders = 160;
   constexpr uint8_t maxLayers = 28;
   constexpr uint8_t maxPairs = 64;
-  
+
   // TODO
   // Once CUDA is dropped this could be wrapped in #ifdef CA_TRIPLETS_HOLE
   // see DataFormats/TrackingRecHitSoa/interface/TrackingRecHitSoA.h
@@ -235,35 +235,9 @@ namespace phase2PixelTopology {
       4,  6,  5,  7,  6,  8,  7,  9,  8,  10, 9,  11, 10, 12,  // POS Jump (48)
       16, 18, 17, 19, 18, 20, 19, 21, 20, 22, 21, 23, 22, 24,  // NEG Jump (55)
   };
-  HOST_DEVICE_CONSTANT uint32_t layerStart[numberOfLayers + 1] = {0,
-                                                                  216,
-                                                                  432,
-                                                                  612,
-                                                                  864,
-                                                                  972,
-                                                                  1080,
-                                                                  1188,
-                                                                  1296,
-                                                                  1404,
-                                                                  1512,
-                                                                  1620,
-                                                                  1728,
-                                                                  1904,
-                                                                  2080,
-                                                                  2256,
-                                                                  2432,
-                                                                  2540,
-                                                                  2648,
-                                                                  2756,
-                                                                  2864,
-                                                                  2972,
-                                                                  3080,
-                                                                  3188,
-                                                                  3296,
-                                                                  3472,
-                                                                  3648,
-                                                                  3824,
-                                                                  numberOfModules};
+  HOST_DEVICE_CONSTANT uint32_t layerStart[numberOfLayers + 1] = {
+      0,    216,  432,  612,  864,  972,  1080, 1188, 1296, 1404, 1512, 1620, 1728, 1904,           2080,
+      2256, 2432, 2540, 2648, 2756, 2864, 2972, 3080, 3188, 3296, 3472, 3648, 3824, numberOfModules};
 
   HOST_DEVICE_CONSTANT int16_t phicuts[nPairs]{
       phi0p05, phi0p05, phi0p05, phi0p06, phi0p07, phi0p07, phi0p06, phi0p07, phi0p07, phi0p05, phi0p05,
diff --git a/HeterogeneousCore/AlpakaInterface/interface/prefixScan.h b/HeterogeneousCore/AlpakaInterface/interface/prefixScan.h
index 7ef27915bd3a..86f427585d21 100644
--- a/HeterogeneousCore/AlpakaInterface/interface/prefixScan.h
+++ b/HeterogeneousCore/AlpakaInterface/interface/prefixScan.h
@@ -197,8 +197,8 @@ namespace cms::alpakatools {
           off = off + 1024 - 1;
           alpaka::syncBlockThreads(acc);
         }
-        blockPrefixScan(acc, psum + off , psum + off, blocksPerGrid - off, ws);
-      } 
+        blockPrefixScan(acc, psum + off, psum + off, blocksPerGrid - off, ws);
+      }
       // now it would have been handy to have the other blocks around...
       // Simplify the computation by having one version where threads per block = block size
       // and a second for the one thread per block accelerator.
diff --git a/RecoLocalTracker/SiPixelRecHits/plugins/alpaka/PixelRecHits.h b/RecoLocalTracker/SiPixelRecHits/plugins/alpaka/PixelRecHits.h
index 1ac980d9577f..e124c75d8c85 100644
--- a/RecoLocalTracker/SiPixelRecHits/plugins/alpaka/PixelRecHits.h
+++ b/RecoLocalTracker/SiPixelRecHits/plugins/alpaka/PixelRecHits.h
@@ -63,9 +63,9 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
               agc.endCapZ[1] = ag.endCapZ[1] - bs->z;
             }
           }
-#endif  // CA_TRIPLETS_HOLE 
+#endif  // CA_TRIPLETS_HOLE
 
-    // to be moved in common namespace...
+          // to be moved in common namespace...
           using pixelClustering::invalidModuleId;
           constexpr int32_t maxHitsInIter = pixelCPEforDevice::MaxHitsInIter;
 
@@ -93,10 +93,10 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
 #endif
 
           auto& clusParams = alpaka::declareSharedVar<pixelCPEforDevice::ClusParams, __COUNTER__>(acc);
-          
+
           for (int startClus = 0, endClus = nclus; startClus < endClus; startClus += maxHitsInIter) {
             auto first = clusters[1 + module].moduleStart();
-	    int nClusInIter = alpaka::math::min(acc, maxHitsInIter, endClus - startClus);
+            int nClusInIter = alpaka::math::min(acc, maxHitsInIter, endClus - startClus);
             int lastClus = startClus + nClusInIter;
             ALPAKA_ASSERT_ACC(nClusInIter <= nclus);
             ALPAKA_ASSERT_ACC(nClusInIter > 0);
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CAFishbone.h b/RecoTracker/PixelSeeding/plugins/alpaka/CAFishbone.h
index da48134bc746..9f590b1c81cc 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CAFishbone.h
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CAFishbone.h
@@ -36,10 +36,9 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
                                   CellToTracks const* __restrict__ cellTracksHisto,
                                   uint32_t outerHits,
                                   bool checkTrack) const {
-
       // outermost parallel loop, using all grid elements along the slower dimension (Y or 0 in a 2D grid)
       for (uint32_t idy : cms::alpakatools::uniform_elements_y(acc, outerHits)) {
-        uint32_t size = outerHitHisto->size(idy);  
+        uint32_t size = outerHitHisto->size(idy);
         // printf("fishbone ---> outersize %d - ",idy,size);
 
         if (size < 2)
@@ -62,13 +61,12 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
         //         }
         // #endif
         for (uint32_t ic : cms::alpakatools::independent_group_elements_x(acc, size)) {
-          
-//printf("cell0 = %d ci = %d\n",bin[0],bin[ic]);
+          //printf("cell0 = %d ci = %d\n",bin[0],bin[ic]);
           unsigned int otherCell = bin[ic];
           auto& ci = cells[otherCell];
-//	printf("xo = %.2f yo = %.2f zo = %.2f xi = %.2f yi = %.2f zi = %.2f \n",xo,yo,zo,ci.inner_x(hh),ci.inner_y(hh),ci.inner_z(hh));  
+          //	printf("xo = %.2f yo = %.2f zo = %.2f xi = %.2f yi = %.2f zi = %.2f \n",xo,yo,zo,ci.inner_x(hh),ci.inner_y(hh),ci.inner_z(hh));
           if (ci.unused())
-            continue; // for triplets equivalent to next
+            continue;  // for triplets equivalent to next
           if (checkTrack && cellTracksHisto->size(otherCell) == 0)
             continue;
 
@@ -80,15 +78,24 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
           for (auto jc = ic + 1; jc < size; ++jc) {
             unsigned int nextCell = bin[jc];
             auto& cj = cells[nextCell];
-	    if (cj.unused())
-	    continue;
-	    if (checkTrack && cellTracksHisto->size(nextCell) == 0)  
-	    continue;
-#ifdef GPU_DEBUG 
-printf("xx = %.2f yo = %.2f zo = %.2f xi = %.2f yi = %.2f zi = %.2f xj = %.2f yj = %.2f zj = %.2f\n",xo,yo,zo,ci.inner_x(hh),ci.inner_y(hh),ci.inner_z(hh),cj.inner_x(hh),cj.inner_y(hh),cj.inner_z(hh));
+            if (cj.unused())
+              continue;
+            if (checkTrack && cellTracksHisto->size(nextCell) == 0)
+              continue;
+#ifdef GPU_DEBUG
+            printf("xx = %.2f yo = %.2f zo = %.2f xi = %.2f yi = %.2f zi = %.2f xj = %.2f yj = %.2f zj = %.2f\n",
+                   xo,
+                   yo,
+                   zo,
+                   ci.inner_x(hh),
+                   ci.inner_y(hh),
+                   ci.inner_z(hh),
+                   cj.inner_x(hh),
+                   cj.inner_y(hh),
+                   cj.inner_z(hh));
 #endif
 
-  if (ci.inner_detIndex(hh) == cj.inner_detIndex(hh))
+            if (ci.inner_detIndex(hh) == cj.inner_detIndex(hh))
               continue;
 
             float x2 = (cj.inner_x(hh) - xo);
@@ -107,12 +114,34 @@ printf("xx = %.2f yo = %.2f zo = %.2f xi = %.2f yi = %.2f zi = %.2f xj = %.2f yj
                   cj.kill();  // closest
                   ci.setFishbone(acc, cj.inner_hit_id(), cj.inner_z(hh), hh);
 #ifdef GPU_DEBUG
-                 printf("n1>n2 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f same\n",int(ci.layerPairId()),int(cj.layerPairId()),ci.inner_detIndex(hh), cj.inner_detIndex(hh), bin[ic], bin[jc],cos12 * cos12 / (n1*n2), n1, n2);
+                  printf(
+                      "n1>n2 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f "
+                      "same\n",
+                      int(ci.layerPairId()),
+                      int(cj.layerPairId()),
+                      ci.inner_detIndex(hh),
+                      cj.inner_detIndex(hh),
+                      bin[ic],
+                      bin[jc],
+                      cos12 * cos12 / (n1 * n2),
+                      n1,
+                      n2);
 #endif
                 } else {
                   ci.kill();  // farthest
 #ifdef GPU_DEBUG
-             printf("n1>n2 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f diff\n",int(ci.layerPairId()),int(cj.layerPairId()),ci.inner_detIndex(hh), cj.inner_detIndex(hh), bin[jc], bin[ic],cos12 * cos12 / (n1*n2), n1, n2); 
+                  printf(
+                      "n1>n2 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f "
+                      "diff\n",
+                      int(ci.layerPairId()),
+                      int(cj.layerPairId()),
+                      ci.inner_detIndex(hh),
+                      cj.inner_detIndex(hh),
+                      bin[jc],
+                      bin[ic],
+                      cos12 * cos12 / (n1 * n2),
+                      n1,
+                      n2);
 #endif
                   // break;  // removed to improve reproducibility, keep it for reference and tests
                 }
@@ -120,13 +149,35 @@ printf("xx = %.2f yo = %.2f zo = %.2f xi = %.2f yi = %.2f zi = %.2f xj = %.2f yj
                 if (!sameLayer) {
                   cj.kill();  // farthest
 #ifdef GPU_DEBUG
-             printf("n2>n1 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f diff\n",int(ci.layerPairId()),int(cj.layerPairId()),ci.inner_detIndex(hh), cj.inner_detIndex(hh), bin[ic], bin[jc],cos12 * cos12 / (n1*n2), n1, n2); 
+                  printf(
+                      "n2>n1 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f "
+                      "diff\n",
+                      int(ci.layerPairId()),
+                      int(cj.layerPairId()),
+                      ci.inner_detIndex(hh),
+                      cj.inner_detIndex(hh),
+                      bin[ic],
+                      bin[jc],
+                      cos12 * cos12 / (n1 * n2),
+                      n1,
+                      n2);
 #endif
                 } else {
                   ci.kill();  // closest
                   cj.setFishbone(acc, ci.inner_hit_id(), ci.inner_z(hh), hh);
 #ifdef GPU_DEBUG
-             printf("n2>n1 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f same\n",int(ci.layerPairId()),int(cj.layerPairId()),ci.inner_detIndex(hh), cj.inner_detIndex(hh), bin[jc], bin[ic],cos12 * cos12 / (n1*n2), n1, n2);
+                  printf(
+                      "n2>n1 lic = %d ljc = %d dic = %.2f djc = %.2f cell %d kill %d cos = %.7f n1 = %.3f n2 = %.3f "
+                      "same\n",
+                      int(ci.layerPairId()),
+                      int(cj.layerPairId()),
+                      ci.inner_detIndex(hh),
+                      cj.inner_detIndex(hh),
+                      bin[jc],
+                      bin[ic],
+                      cos12 * cos12 / (n1 * n2),
+                      n1,
+                      n2);
 #endif
                   // break;  // removed to improve reproducibility, keep it for reference and tests
                 }
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CAGeometryESProucer.cc b/RecoTracker/PixelSeeding/plugins/alpaka/CAGeometryESProucer.cc
index 91ef866e0931..defe1171152d 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CAGeometryESProucer.cc
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CAGeometryESProucer.cc
@@ -103,7 +103,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
     subSystemName = GeomDetEnumerators::tkDetEnum[++subSystem];
     subSystemOffset = trackerGeometry->offsetDU(subSystemName);
 #endif
-    
+
     auto oldLayer = 0u;
     auto layerCount = 0;
 
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGenerator.cc b/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGenerator.cc
index 13c0870ab411..fe985bb5ac64 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGenerator.cc
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGenerator.cc
@@ -37,18 +37,22 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
 
     //Common Params
     void fillDescriptionsCommon(edm::ParameterSetDescription& desc) {
-      
       desc.add<double>("cellZ0Cut", 12.0f)->setComment("Z0 cut for cells");
       desc.add<double>("cellPtCut", 0.5f)->setComment("Preliminary pT cut at cell building level.");
-      
+
       //// Pixel Cluster Cuts (@cell level)
       desc.add<double>("dzdrFact", 8.0f * 0.0285f / 0.015f);
-      desc.add<unsigned int>("minYsizeB1", 1)->setComment("Cut on inner hit cluster size (in Y) for barrel-forward cells. Barrel 1 cut.");
-      desc.add<unsigned int>("minYsizeB2", 1)->setComment("Cut on inner hit cluster size (in Y) for barrel-forward cells. Barrel 2 cut.");
-      desc.add<unsigned int>("maxDYsize12", 28)->setComment("Cut on cluster size differences (in Y) for barrel-forward cells. Barrel 1-2 cells.");
-      desc.add<unsigned int>("maxDYsize", 20)->setComment("Cut on cluster size differences (in Y) for barrel-forward cells. Other barrel cells.");
-      desc.add<unsigned int>("maxDYPred", 20)->setComment("Cut on cluster size differences (in Y) for barrel-forward cells. Barrel-forward cells.");
-      
+      desc.add<unsigned int>("minYsizeB1", 1)
+          ->setComment("Cut on inner hit cluster size (in Y) for barrel-forward cells. Barrel 1 cut.");
+      desc.add<unsigned int>("minYsizeB2", 1)
+          ->setComment("Cut on inner hit cluster size (in Y) for barrel-forward cells. Barrel 2 cut.");
+      desc.add<unsigned int>("maxDYsize12", 28)
+          ->setComment("Cut on cluster size differences (in Y) for barrel-forward cells. Barrel 1-2 cells.");
+      desc.add<unsigned int>("maxDYsize", 20)
+          ->setComment("Cut on cluster size differences (in Y) for barrel-forward cells. Other barrel cells.");
+      desc.add<unsigned int>("maxDYPred", 20)
+          ->setComment("Cut on cluster size differences (in Y) for barrel-forward cells. Barrel-forward cells.");
+
       // Container sizes
       desc.add<std::string>("maxNumberOfDoublets", std::to_string(pixelTopology::Phase1::maxNumberOfDoublets));
       desc.add<std::string>("maxNumberOfTuples", std::to_string(pixelTopology::Phase1::maxNumberOfTuples));
@@ -56,7 +60,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
       desc.add<double>("avgCellsPerHit", 25.0f);
       desc.add<double>("avgCellsPerCell", 2.0f);
       desc.add<double>("avgTracksPerCell", 1.0f);
-      
+
       // nTuplet Cuts and Params
       desc.add<double>("ptmin", 0.9f)->setComment("Cut on minimum pt");
       //// 87 cm/GeV = 1/(3.8T * 0.3)
@@ -95,7 +99,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
           (float)cfg.getParameter<double>("hardCurvCut"),
           (float)cfg.getParameter<double>("cellZ0Cut"),
           (float)cfg.getParameter<double>("cellPtCut"),
-          
+
           // Pixel Cluster Cut Params
           (float)cfg.getParameter<double>("dzdrFact"),
           (uint16_t)cfg.getParameter<unsigned int>("minYsizeB1"),
@@ -214,7 +218,6 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
             "Quality cuts based on the results of the track fit:\n  - apply a pT-dependent chi2 cut;\n  - apply "
             "\"region "
             "cuts\" based on the fit results (pT, Tip, Zip).");
-
   }
 
   // now this could be removed actually
@@ -241,7 +244,6 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
             "Quality cuts based on the results of the track fit:\n  - apply a pT-dependent chi2 cut;\n  - apply "
             "\"region "
             "cuts\" based on the fit results (pT, Tip, Zip).");
-
   }
 
   template <>
@@ -257,7 +259,6 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
         ->setComment(
             "Quality cuts based on the results of the track fit:\n  - apply cuts based on the fit results (pT, Tip, "
             "Zip).");
-
   }
 
   template <typename TrackerTraits>
@@ -287,7 +288,11 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
         m_params, hits_d.nHits(), hits_d.offsetBPIX2(), nDoublets, nTracks, geometry_d.view().metadata().size(), queue);
 
     kernels.prepareHits(hits_d.view(), hits_d.view<::reco::HitModuleSoA>(), geometry_d.view(), queue);
-    kernels.buildDoublets(hits_d.view(), geometry_d.view<::reco::CAGraphSoA>(), geometry_d.view<::reco::CALayersSoA>(), hits_d.offsetBPIX2(), queue);
+    kernels.buildDoublets(hits_d.view(),
+                          geometry_d.view<::reco::CAGraphSoA>(),
+                          geometry_d.view<::reco::CALayersSoA>(),
+                          hits_d.offsetBPIX2(),
+                          queue);
     kernels.launchKernels(hits_d.view(),
                           hits_d.offsetBPIX2(),
                           geometry_d.view().metadata().size(),
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernels.dev.cc b/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernels.dev.cc
index a352400d5993..d1fe832f02a0 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernels.dev.cc
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernels.dev.cc
@@ -580,7 +580,6 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
 #endif
 
     if (this->m_params.algoParams_.doSharedHitCut_ || this->m_params.algoParams_.doStats_) {
-     
       // fill hit->track "map"
       numberOfBlocks = cms::alpakatools::divide_up_by(3 * maxTuples / 4, blockSize);
       workDiv1D = cms::alpakatools::make_workdiv<Acc1D>(numberOfBlocks, blockSize);
@@ -606,7 +605,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
 
     if (this->m_params.algoParams_.doSharedHitCut_) {
       // mark duplicates (tracks that share at least one hit)
-      numberOfBlocks = cms::alpakatools::divide_up_by(3 * maxTuples / 4, blockSize); 
+      numberOfBlocks = cms::alpakatools::divide_up_by(3 * maxTuples / 4, blockSize);
       workDiv1D = cms::alpakatools::make_workdiv<Acc1D>(numberOfBlocks, blockSize);
       alpaka::exec<Acc1D>(queue,
                           workDiv1D,
@@ -691,13 +690,13 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
     alpaka::wait(queue);
     workDiv1D = cms::alpakatools::make_workdiv<Acc1D>(1, 1);
     alpaka::exec<Acc1D>(queue,
-        workDiv1D,
-        Kernel_printSizes{},
-        hh,
-    	tracks_view,
-        this->device_nCells_.data(),
-        this->device_nTriplets_.data(),
-        this->device_nCellTracks_.data());
+                        workDiv1D,
+                        Kernel_printSizes{},
+                        hh,
+                        tracks_view,
+                        this->device_nCells_.data(),
+                        this->device_nTriplets_.data(),
+                        this->device_nCellTracks_.data());
 
     alpaka::wait(queue);
 #endif
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernelsImpl.h b/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernelsImpl.h
index 86323f240740..993dc36a9f2c 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernelsImpl.h
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CAHitNtupletGeneratorKernelsImpl.h
@@ -84,17 +84,23 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
   class Kernel_printSizes {
   public:
     template <typename TAcc, typename = std::enable_if_t<alpaka::isAccelerator<TAcc>>>
-    ALPAKA_FN_ACC void operator()(TAcc const &acc, 
-      HitsConstView hh,
-      TkSoAView tt,
-      uint32_t const *__restrict__ nCells,
-      uint32_t const *__restrict__ nTrips,
-      uint32_t const *__restrict__ nCellTracks) const {
-
-        if (cms::alpakatools::once_per_grid(acc))
-          printf("nSizes:%d;%d;%d;%d;%d;%d;%d\n",hh.metadata().size(),hh.metadata().size() - hh.offsetBPIX2(),*nCells,*nTrips,*nCellTracks,tt.nTracks(),tt.metadata().size());
-      }
-    };
+    ALPAKA_FN_ACC void operator()(TAcc const &acc,
+                                  HitsConstView hh,
+                                  TkSoAView tt,
+                                  uint32_t const *__restrict__ nCells,
+                                  uint32_t const *__restrict__ nTrips,
+                                  uint32_t const *__restrict__ nCellTracks) const {
+      if (cms::alpakatools::once_per_grid(acc))
+        printf("nSizes:%d;%d;%d;%d;%d;%d;%d\n",
+               hh.metadata().size(),
+               hh.metadata().size() - hh.offsetBPIX2(),
+               *nCells,
+               *nTrips,
+               *nCellTracks,
+               tt.nTracks(),
+               tt.metadata().size());
+    }
+  };
 
   template <typename TrackerTraits>
   class Kernel_checkOverflows {
@@ -112,7 +118,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
                                   uint32_t const *__restrict__ nCellTracks,
                                   caStructures::CACoupleSoAConstView cellCell,
                                   caStructures::CACoupleSoAConstView cellTrack,
-                                  int32_t nHits, 
+                                  int32_t nHits,
                                   uint32_t maxNumberOfDoublets,
                                   AlgoParams const &params,
                                   Counters *counters) const {
@@ -216,9 +222,8 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
       constexpr auto reject = Quality::edup;  /// cannot be loose
       ALPAKA_ASSERT_ACC(nCells);
       for (auto idx : cms::alpakatools::uniform_elements(acc, *nCells)) {
-
 #ifdef CA_SIZES
-        printf("cellTracksSizes;%d;%d;%d\n",idx,cT.size(),cT.capacity());
+        printf("cellTracksSizes;%d;%d;%d\n", idx, cT.size(), cT.capacity());
 #endif
         if (cellTracksHisto->size(idx) < 2)
           continue;
@@ -228,8 +233,8 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
 
         // find maxNl
         for (auto i = 0u; i < cellTracksHisto->size(idx); i++) {
-          if(int(tracksOfCell[i]) > tracks_view.metadata().size())
-            printf(">WARNING: %d %d %d %d\n",idx, i,int(tracksOfCell[i]),tracks_view.metadata().size());
+          if (int(tracksOfCell[i]) > tracks_view.metadata().size())
+            printf(">WARNING: %d %d %d %d\n", idx, i, int(tracksOfCell[i]), tracks_view.metadata().size());
           auto nl = tracks_view[tracksOfCell[i]].nLayers();
           maxNl = std::max(nl, maxNl);
         }
@@ -239,11 +244,10 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
         //  maxNl = std::min(4, maxNl);
 
         for (auto i = 0u; i < cellTracksHisto->size(idx); i++) {
-          
           auto it = tracksOfCell[i];
-          
-          if(int(it) > tracks_view.metadata().size())
-            printf(">WARNING: %d %d %d\n",i,it,tracks_view.metadata().size());
+
+          if (int(it) > tracks_view.metadata().size())
+            printf(">WARNING: %d %d %d\n", i, it, tracks_view.metadata().size());
           if (tracks_view[it].nLayers() < maxNl)
             tracks_view[it].quality() = reject;  // no race: simple assignment of the same constant
         }
@@ -282,7 +286,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
         auto const *__restrict__ thisCellTracks = cellTracksHisto->begin(idx);
         int ntr = cellTracksHisto->size(idx);
         for (int i = 0; i < ntr - 1; i++) {
-          auto it = thisCellTracks[i];  
+          auto it = thisCellTracks[i];
           auto qi = tracks_view[it].quality();
           if (qi <= reject)
             continue;
@@ -291,7 +295,6 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
           auto cti = tracks_view[it].state()(3);
           auto e2cti = tracks_view[it].covariance()(12);
           for (int j = i + 1; j < ntr; ++j) {
-
             auto jt = thisCellTracks[j];
             auto qj = tracks_view[jt].quality();
             if (qj <= reject)
@@ -403,10 +406,13 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
 
           bool aligned = Cell::areAlignedRZ(r1, z1, ri, zi, ro, zo, params.ptmin_, thetaCut);
           if (aligned && thisCell.dcaCut(hh, oc, dcaCut, params.hardCurvCut_)) {
-
             auto t_ind = alpaka::atomicAdd(acc, nTrips, (uint32_t)1, alpaka::hierarchy::Blocks{});
 #ifdef CA_DEBUG
-            printf("Triplet no. %.5f %.5f (%d %d) - %d %d -> (%d, %d, %d, %d) \n",  thetaCut, dcaCut, thisCell.layerPairId(), oc.layerPairId(),
+            printf("Triplet no. %.5f %.5f (%d %d) - %d %d -> (%d, %d, %d, %d) \n",
+                   thetaCut,
+                   dcaCut,
+                   thisCell.layerPairId(),
+                   oc.layerPairId(),
                    otherCell,
                    cellIndex,
                    thisCell.inner_hit_id(),
@@ -416,7 +422,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
 #endif
 
 #ifdef CA_DEBUG
-            printf("filling cell no. %d %d: %d -> %d\n",t_ind,cellNeighborsHisto->size(),otherCell,cellIndex);
+            printf("filling cell no. %d %d: %d -> %d\n", t_ind, cellNeighborsHisto->size(), otherCell, cellIndex);
 #endif
 
             if (t_ind >= maxTriplets) {
@@ -481,11 +487,11 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caHitNtupletGeneratorKernels {
       for (auto idx : cms::alpakatools::uniform_elements(acc, (*nCells))) {
         auto const &thisCell = cells[idx];
 
-   // cut by earlyFishbone
+        // cut by earlyFishbone
         if (thisCell.isKilled())
           continue;
 
-             // we require at least three hits
+        // we require at least three hits
         if (cellNeighborsHisto->size(idx) == 0)
           continue;
 
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CAPixelDoubletsAlgos.h b/RecoTracker/PixelSeeding/plugins/alpaka/CAPixelDoubletsAlgos.h
index e26647855d32..1a525bc930c4 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CAPixelDoubletsAlgos.h
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CAPixelDoubletsAlgos.h
@@ -37,12 +37,8 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
   //Move this ^ definition in CAStructures maybe
 
   template <typename TAcc>
-  ALPAKA_FN_ACC ALPAKA_FN_INLINE bool __attribute__((always_inline)) zSizeCut(const TAcc& acc,
-                                                                              HitsConstView hh,
-                                                                              ::reco::CALayersSoAConstView ll,
-                                                                              AlgoParams const& params,
-                                                                              int i,
-                                                                              int o) {
+  ALPAKA_FN_ACC ALPAKA_FN_INLINE bool __attribute__((always_inline)) zSizeCut(
+      const TAcc& acc, HitsConstView hh, ::reco::CALayersSoAConstView ll, AlgoParams const& params, int i, int o) {
     const uint32_t mi = hh[i].detectorIndex();
     const auto first_forward = ll.layerStarts()[4];
     const auto first_bpix2 = ll.layerStarts()[1];
@@ -50,7 +46,14 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
     bool isOuterLadder = 0 == (mi / 8) % 2;
     auto mes = (!innerB1) || isOuterLadder ? hh[i].clusterSizeY() : -1;
 #ifdef DOUBLETS_DEBUG
-    printf("i = %d o = %d mi = %d innerB1 = %d isOuterLadder = %d first_forward = %d first_bpix2 = %d\n",i,o,mi,innerB1,isOuterLadder,first_forward,first_bpix2);
+    printf("i = %d o = %d mi = %d innerB1 = %d isOuterLadder = %d first_forward = %d first_bpix2 = %d\n",
+           i,
+           o,
+           mi,
+           innerB1,
+           isOuterLadder,
+           first_forward,
+           first_bpix2);
 #endif
     if (mes < 0)
       return false;
@@ -64,44 +67,60 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
     auto innerBarrel = mi < first_forward;
     auto onlyBarrel = mo < first_forward;
 #ifdef DOUBLETS_DEBUG
-    printf("i = %d o = %d mo = %d innerB1 = %d isOuterLadder = %d \n",i,o,mo,innerBarrel,onlyBarrel);
+    printf("i = %d o = %d mo = %d innerB1 = %d isOuterLadder = %d \n", i, o, mo, innerBarrel, onlyBarrel);
 #endif
     if (not innerBarrel and not onlyBarrel)
       return false;
     auto dy = innerB1 ? params.maxDYsize12_ : params.maxDYsize_;
-#ifdef DOUBLETS_DEBUG                                                                          
-    printf("i = %d o = %d dy = %d maxDYsize12_ = %d maxDYsize_ = %d dzdrFact_ = %.2f maxDYPred_ = %d \n",i,o,dy,params.maxDYsize12_,params.maxDYsize_,params.dzdrFact_,params.maxDYPred_);
+#ifdef DOUBLETS_DEBUG
+    printf("i = %d o = %d dy = %d maxDYsize12_ = %d maxDYsize_ = %d dzdrFact_ = %.2f maxDYPred_ = %d \n",
+           i,
+           o,
+           dy,
+           params.maxDYsize12_,
+           params.maxDYsize_,
+           params.dzdrFact_,
+           params.maxDYPred_);
 #endif
-    return onlyBarrel ? so > 0 && std::abs(so - mes) > dy
-                      : innerBarrel && std::abs(mes - int(std::abs(dz / dr) * params.dzdrFact_ + 0.5f)) > params.maxDYPred_;
+    return onlyBarrel
+               ? so > 0 && std::abs(so - mes) > dy
+               : innerBarrel && std::abs(mes - int(std::abs(dz / dr) * params.dzdrFact_ + 0.5f)) > params.maxDYPred_;
   }
 
   template <typename TAcc>
-  ALPAKA_FN_ACC ALPAKA_FN_INLINE bool __attribute__((always_inline)) clusterCut(const TAcc& acc,
-                                                                                HitsConstView hh,
-                                                                                ::reco::CALayersSoAConstView ll,
-                                                                                AlgoParams const& params,
-                                                                                uint32_t i) {
+  ALPAKA_FN_ACC ALPAKA_FN_INLINE bool __attribute__((always_inline)) clusterCut(
+      const TAcc& acc, HitsConstView hh, ::reco::CALayersSoAConstView ll, AlgoParams const& params, uint32_t i) {
     const uint32_t mi = hh[i].detectorIndex();
     const auto first_bpix2 = ll.layerStarts()[1];
-    const auto first_bpix3 = ll.layerStarts()[2];                                                              
+    const auto first_bpix3 = ll.layerStarts()[2];
     bool innerB1orB2 = mi < ll.layerStarts()[2];
 #ifdef DOUBLETS_DEBUG
-   printf("i = %d mi = %d innerB1orB2 = %d innerB1 = %d innerB2 = %d minYsizeB1 = %d minYsizeB2 = %d isOuterLadder = %d mes = %d \n",i,mi,innerB1orB2,mi < first_bpix2,(mi >= first_bpix2) && (mi < first_bpix3), params.minYsizeB1_,params.minYsizeB2_, (0 == (mi / 8) % 2), (!(mi < first_bpix2)) || (0 == (mi / 8) % 2) ? hh[i].clusterSizeY() : -1);
-#endif 
+    printf(
+        "i = %d mi = %d innerB1orB2 = %d innerB1 = %d innerB2 = %d minYsizeB1 = %d minYsizeB2 = %d isOuterLadder = %d "
+        "mes = %d \n",
+        i,
+        mi,
+        innerB1orB2,
+        mi < first_bpix2,
+        (mi >= first_bpix2) && (mi < first_bpix3),
+        params.minYsizeB1_,
+        params.minYsizeB2_,
+        (0 == (mi / 8) % 2),
+        (!(mi < first_bpix2)) || (0 == (mi / 8) % 2) ? hh[i].clusterSizeY() : -1);
+#endif
     if (!innerB1orB2)
       return false;
 
     bool innerB1 = mi < first_bpix2;
-    
+
     bool isOuterLadder = 0 == (mi / 8) % 2;
     auto mes = (!innerB1) || isOuterLadder ? hh[i].clusterSizeY() : -1;
 
     if (innerB1)  // B1
       if (mes > 0 && mes < params.minYsizeB1_)
-        return true;                                                                 // only long cluster  (5*8)
+        return true;  // only long cluster  (5*8)
     bool innerB2 = (mi >= first_bpix2) && (mi < first_bpix3);
-    if (innerB2)                                                                     // B2 and F1
+    if (innerB2)  // B2 and F1
       if (mes > 0 && mes < params.minYsizeB2_)
         return true;
 
@@ -121,7 +140,6 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
       PhiBinner<TrackerTraits> const* phiBinner,
       HitToCell* outerHitHisto,
       AlgoParams const& params) {
-    
     const bool doClusterCut = params.minYsizeB1_ > 1 or params.minYsizeB2_ > 1;
     const bool doZSizeCut = params.maxDYsize12_ > 1 or params.maxDYsize_ > 1 or params.maxDYPred_ > 1;
 
@@ -143,16 +161,18 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
 
 #ifdef DOUBLETS_DEBUG
     if (cms::alpakatools::once_per_grid(acc))
-      printf("maxNumDoublets = %d  cc.metadata().size() = %d ll.metadata().size() = %d cellZ0Cut_ = %.2f cellPtCut_ = %.2f doClusterCut = %d doZ0Cut = %d  doPtCut = %d doZSizeCut = %d\n",
-             maxNumOfDoublets,
-             cc.metadata().size(),
-             ll.metadata().size(), 
-             params.cellZ0Cut_,
-             params.cellPtCut_,
-             doClusterCut,
-             params.cellZ0Cut_ > 0,
-             params.cellPtCut_ > 0,
-             doZSizeCut);
+      printf(
+          "maxNumDoublets = %d  cc.metadata().size() = %d ll.metadata().size() = %d cellZ0Cut_ = %.2f cellPtCut_ = "
+          "%.2f doClusterCut = %d doZ0Cut = %d  doPtCut = %d doZSizeCut = %d\n",
+          maxNumOfDoublets,
+          cc.metadata().size(),
+          ll.metadata().size(),
+          params.cellZ0Cut_,
+          params.cellPtCut_,
+          doClusterCut,
+          params.cellZ0Cut_ > 0,
+          params.cellPtCut_ > 0,
+          doZSizeCut);
 #endif
 
     if (cms::alpakatools::once_per_block(acc)) {
@@ -189,11 +209,17 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
       ALPAKA_ASSERT_ACC(i >= offsets[inner]);
       ALPAKA_ASSERT_ACC(i < offsets[inner + 1]);
 #ifdef DOUBLETS_DEBUG
-      printf("pairLayerId = %d i = %d inner = %d outer = %d offsets[inner] = %d offsets[inner + 1] = %d\n",pairLayerId,i,inner,outer,offsets[inner],offsets[inner+1]);
+      printf("pairLayerId = %d i = %d inner = %d outer = %d offsets[inner] = %d offsets[inner + 1] = %d\n",
+             pairLayerId,
+             i,
+             inner,
+             outer,
+             offsets[inner],
+             offsets[inner + 1]);
 #endif
       // found hit corresponding to our worker thread, now do the job
-      if (hh[i].detectorIndex() > ll.layerStarts()[ll.metadata().size() - 1]) //FIXME use cc
-        continue;  // invalid
+      if (hh[i].detectorIndex() > ll.layerStarts()[ll.metadata().size() - 1])  //FIXME use cc
+        continue;                                                              // invalid
 
       /* maybe clever, not effective when zoCut is on
       auto bpos = (mi%8)/4;  // if barrel is 1 for z>0
@@ -205,13 +231,12 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
 
       if (mez < cc.minz()[pairLayerId] || mez > cc.maxz()[pairLayerId])
         continue;
-#ifdef DOUBLETS_DEBUG  
-     if (doClusterCut && outer > pixelTopology::last_barrel_layer)
-	printf("clustCut: %d %d \n",i,clusterCut<TAcc>(acc, hh, ll, params, i));
+#ifdef DOUBLETS_DEBUG
+      if (doClusterCut && outer > pixelTopology::last_barrel_layer)
+        printf("clustCut: %d %d \n", i, clusterCut<TAcc>(acc, hh, ll, params, i));
 #endif
 
-      if (doClusterCut && outer > pixelTopology::last_barrel_layer &&
-          clusterCut<TAcc>(acc, hh, ll, params, i))
+      if (doClusterCut && outer > pixelTopology::last_barrel_layer && clusterCut<TAcc>(acc, hh, ll, params, i))
         continue;
 
       auto mep = hh[i].iphi();
@@ -268,7 +293,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
           auto mo = hh[oi].detectorIndex();
 
           // invalid
-          if (mo > pixelClustering::maxNumModules) //FIXME use cc?
+          if (mo > pixelClustering::maxNumModules)  //FIXME use cc?
             continue;
 
           if (params.cellZ0Cut_ > 0. && z0cutoff(oi))
@@ -280,8 +305,8 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
           if (idphi > iphicut)
             continue;
 #ifdef DOUBLETS_DEBUG
-          printf("zSizeCut: %d %d %d \n",i,oi,zSizeCut<TAcc>(acc, hh, ll, params, i, oi));
-#endif         
+          printf("zSizeCut: %d %d %d \n", i, oi, zSizeCut<TAcc>(acc, hh, ll, params, i, oi));
+#endif
           if (doZSizeCut && zSizeCut<TAcc>(acc, hh, ll, params, i, oi))
             continue;
 
@@ -295,7 +320,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE::caPixelDoublets {
 #endif
             alpaka::atomicSub(acc, nCells, (uint32_t)1, alpaka::hierarchy::Blocks{});
             break;
-          } 
+          }
 
           outerHitHisto->count(acc, oi - hh.offsetBPIX2());
           cells[ind].init(hh, pairLayerId, inner, outer, i, oi);
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CASimpleCell.h b/RecoTracker/PixelSeeding/plugins/alpaka/CASimpleCell.h
index 57ecc0cfa2a3..1577f16f1616 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CASimpleCell.h
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CASimpleCell.h
@@ -260,7 +260,7 @@ namespace ALPAKA_ACCELERATOR_NAMESPACE {
 #ifdef CA_DEBUG
                     printf("Warning!!!! Too many cell->tracks associations (limit = %d)!\n", ct.metadata().size());
 #endif
-		    alpaka::atomicSub(acc, nCellTracks, (uint32_t)1, alpaka::hierarchy::Blocks{});
+                    alpaka::atomicSub(acc, nCellTracks, (uint32_t)1, alpaka::hierarchy::Blocks{});
                     break;
                   }
                   cellTracksHisto->count(acc, c);
diff --git a/RecoTracker/PixelSeeding/plugins/alpaka/CAStructures.h b/RecoTracker/PixelSeeding/plugins/alpaka/CAStructures.h
index 097b0a908292..c4554cd60320 100644
--- a/RecoTracker/PixelSeeding/plugins/alpaka/CAStructures.h
+++ b/RecoTracker/PixelSeeding/plugins/alpaka/CAStructures.h
@@ -11,7 +11,6 @@ namespace caStructures {
 
   //Configuration params common to all topologies, for the algorithms
   struct AlgoParams {
-    
     // Container sizes
     float avgHitsPerTrack_;
     float avgCellsPerHit_;
@@ -25,7 +24,7 @@ namespace caStructures {
     float hardCurvCut_;
     float cellZ0Cut_;
     float cellPtCut_;
-    
+
     // Pixel Cluster Cut Params
     float dzdrFact_;  // from dz/dr to "DY"
     uint16_t minYsizeB1_;
diff --git a/RecoTracker/PixelTrackFitting/plugins/PixelTrackProducerFromSoAAlpaka.cc b/RecoTracker/PixelTrackFitting/plugins/PixelTrackProducerFromSoAAlpaka.cc
index 56a092187620..7dd18e52aff3 100644
--- a/RecoTracker/PixelTrackFitting/plugins/PixelTrackProducerFromSoAAlpaka.cc
+++ b/RecoTracker/PixelTrackFitting/plugins/PixelTrackProducerFromSoAAlpaka.cc
@@ -282,4 +282,3 @@ using PixelTrackProducerFromSoAAlpakaHIonPhase1 = PixelTrackProducerFromSoAAlpak
 DEFINE_FWK_MODULE(PixelTrackProducerFromSoAAlpakaPhase1);
 DEFINE_FWK_MODULE(PixelTrackProducerFromSoAAlpakaPhase2);
 DEFINE_FWK_MODULE(PixelTrackProducerFromSoAAlpakaHIonPhase1);
-
